/*
 *  TestCase.java
 *  Copyright (C) 2000  Joshua T. Rowe
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *  To contact the author:
 *  email : jrowe3@home.com
 *  web   : http://jrowe.dhs.org/~jrowe/
 */

package jrowe.test;

import java.lang.reflect.Constructor;
import java.lang.reflect.Method;
import java.lang.reflect.InvocationTargetException;

import jrowe.util.ClassUtil;

import junit.framework.Test;
import junit.framework.TestSuite;

/*
 * @version 1.0 MAR 23 2000  Initial version
 */
public abstract class TestCase extends junit.framework.TestCase {

    public TestCase(String name) {
        super(name);
    }

//    /**
//     * @deprecated
//     */
//    public static TestCase createSelf(Class cls, String name) {
//        Object self = null;
//
//        try {
//            Constructor constructor = cls.getConstructor(
//                    new Class[] { String.class });
//            self = constructor.newInstance(new Object[] { name });
//
//        } catch (SecurityException e) {
//            e.printStackTrace();
//
//        } catch (NoSuchMethodException e) {
//            e.printStackTrace();
//
//        } catch (InstantiationException e) {
//            e.printStackTrace();
//
//        } catch (IllegalAccessException e) {
//            e.printStackTrace();
//
//        } catch (IllegalArgumentException e) {
//            e.printStackTrace();
//
//        } catch (InvocationTargetException e) {
//            e.printStackTrace();
//        }
//
//        return (TestCase) self;
//    }

    public static void main(String[] args) {
        if ( args.length < 1 ) {
            System.err.println("arg 1 must be the class name");
            System.exit(1);
        }

        new Tester().runSuite(args[0]);
    }

}

